#include <iostream>

using namespace std;

int main(){
    int n;
    cin>>n;
    int dlin[n];
    int imin = -1;
    int otv = 0;
    for(int i = 0; i<n; i++){
        int lol;
        cin>>lol;
        dlin[i] = lol;
    }
    int mino = dlin[n-1];
    int zen[n];
    for(int i = 0; i<n; i++){
        int lol;
        cin>>lol;
        zen[i] = lol;
    }
    for(int i = 0; i<n; i++){
        if(dlin[i]<mino && n!=1){
            mino = dlin[i];
            imin = i;
        }
    }
    for(int i = 0; i<n; i++){
        if(i!=imin){
            otv += zen[i];
        }
    }
    cout<<otv;
    return 0;
}
